From 718ec42debe52c5fec112aaed25a049b4a623f98 Mon Sep 17 00:00:00 2001
From: Christian Byrne <cbyrne@comfy.org>
Date: Sat, 6 Sep 2025 00:36:51 -0700
Subject: [PATCH 63/77] [refactor] Consolidate reroute handlers (#5379)

- Replace handleRerouteAdd + handleRerouteUpdate with single handleRerouteUpsert
- Both operations performed identical logic (full layout replacement)
- Remove redundant parameter passing (rerouteIdStr + rerouteId)
- Remove 'export type { LayoutStore } from types' pattern that obscures dependencies
---
 src/renderer/core/layout/store/layoutStore.ts | 25 ++++++-------------
 1 file changed, 8 insertions(+), 17 deletions(-)

diff --git a/src/renderer/core/layout/store/layoutStore.ts b/src/renderer/core/layout/store/layoutStore.ts
index 5be50702b..9214da295 100644
--- a/src/renderer/core/layout/store/layoutStore.ts
+++ b/src/renderer/core/layout/store/layoutStore.ts
@@ -1178,31 +1178,25 @@ class LayoutStoreImpl implements LayoutStore {
     const rerouteId = Number(rerouteIdStr) as RerouteId
 
     if (change.action === 'delete') {
-      this.handleRerouteDelete(rerouteId, rerouteIdStr)
-    } else if (change.action === 'update' || change.action === 'add') {
-      this.handleRerouteAddOrUpdate(rerouteId, rerouteIdStr)
+      this.handleRerouteDelete(rerouteId)
+    } else {
+      this.handleRerouteUpsert(rerouteId)
     }
   }
 
   /**
    * Handle reroute deletion
    */
-  private handleRerouteDelete(
-    rerouteId: RerouteId,
-    rerouteIdStr: string
-  ): void {
+  private handleRerouteDelete(rerouteId: RerouteId): void {
     this.rerouteLayouts.delete(rerouteId)
-    this.rerouteSpatialIndex.remove(rerouteIdStr)
+    this.rerouteSpatialIndex.remove(String(rerouteId))
   }
 
   /**
-   * Handle reroute add or update
+   * Handle reroute upsert (update if exists, create if not)
    */
-  private handleRerouteAddOrUpdate(
-    rerouteId: RerouteId,
-    rerouteIdStr: string
-  ): void {
-    const rerouteData = this.yreroutes.get(rerouteIdStr)
+  private handleRerouteUpsert(rerouteId: RerouteId): void {
+    const rerouteData = this.yreroutes.get(String(rerouteId))
     if (!rerouteData) return
 
     const position = rerouteData.get('position') as Point
@@ -1351,6 +1345,3 @@ class LayoutStoreImpl implements LayoutStore {
 
 // Create singleton instance
 export const layoutStore = new LayoutStoreImpl()
-
-// Export types for convenience
-export type { LayoutStore } from '@/renderer/core/layout/types'

